mia-2dsegseriesstats(1)

NAME
mia-2dsegseriesstats - Evaluate time-intensity curves in masked regions of image series.

SYNOPSIS
mia-2dsegseriesstats -o <original> -g <registered> [options]

DESCRIPTION
mia-2dsegseriesstats This program is used evaluate various time-intensity curves over a series of images given by a segmentation set. Specifically, the program is tailored to evaluate average intensities and variations of sections the left ventricle myocardium. The segmentation set must contain the segmentations for all slices that will be accessed during evaluation.

OPTIONS

    -o --original=(input, required); string
        original segmentation set

    -g --registered=(input, required); string
        registered segmentation set

    -k --skip=2
        images to skip at the begin of the series, if (k < 0) use RV peak of the registered set if set

    -r --reference=-1
        reference frame for automatic curve extraction. Negative values can be used to indicate specific values (if given in the segmentation set):
           -3: Middle of the series
           -2: prefererred reference
           -1: LV peak
           if any of the above is not available or the value is < -3, use the last frame of the series.

    -c --curves=(output); string
        region average value curves, The output files each comprises a table in plain-text format that contains three columns for each section of the LV myocardium: The first column contains the values obtained by using the original segmentation of the reference on all images of the original series, the second column contains the values obtained by the registered segmentation of the reference on all images of the registered series, and the third column contains the values obtained by using the segmentations of each slice on the original images.

    -v --varcurves=(output); string
        region variation values, same formt as described above.

    -n --nsections=0
        number of sections to use, 0=use as segmented, otherwise Otherwise, the LV myocardium is divided into n sections that enclose equal angles starting at the right ventricle insertion point moving clock-wise using the LV center as angular point.

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

EXAMPLE
Evaluate the two curve typed for 12 sections from segemntation sets orig.set and reg.set skipping the first 2 frames. The output will be written to curves.txt and varcurves.txt respectively.

mia-2dsegseriesstats -i org.set -g reg.set -c curves.txt -v varcurves.txt -n 12 -k 2

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.